Last Comment Bug 341308 - Tilde (~) key broken when using German keyboard layout
: Tilde (~) key broken when using German keyboard layout
Status: RESOLVED FIXED
: intl, regression
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: Trunk
: x86 Windows 2000
: -- normal (vote)
: ---
Assigned To: Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28))
: Hixie (not reading bugmail)
:
Mentors:
Depends on: 339723
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-12 16:31 PDT by Frank Wein [:mcsmurf]
Modified: 2007-06-22 00:29 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Frank Wein [:mcsmurf] 2006-06-12 16:31:32 PDT
To reproduce:
1. Try to enter the tilde sign on a keyboard with German keyboard layout

Note that SeaMonkey/FF/TB ignores your tilde keypress and the sign will not appear on screen.

This regressed between 2006-06-05-09 and 2006-06-06-10. So it's probably a regression from Bug 339723 (it fits in the regression timeframe around that day). I don't know if the patch in that bug will fix this bug here.

The keyboard test page outputs this in a build before the main patch from Bug 339723:
1) keydown charCode=0 keyCode=61 character=| modifiers=Ctrl+Alt
2) keypress charCode=126 keyCode=0 character=|~|
3) keyup charCode=0 keyCode=61 character=| modifiers=Ctrl+Alt

In a build with the patch (so the nightly from 2006-06-06):
1) keydown charCode=0 keyCode=107 character=|
2) keypress charCode=43 keyCode=0 character=|+| modifiers=Ctrl+Alt
3) keyup charCode=0 keyCode=107 character=|
Comment 1 Frank Wein [:mcsmurf] 2006-06-12 16:37:01 PDT
You can get the tilde sign by typing AltGr+ (the plus key, so +). AltGr should be the same as Ctrl+Alt, but only some platforms it seems. See http://carbon.cudenver.edu/~tphillip/GermanKeyboardLayout.html for a description/picture of the German keyboard layout.
Comment 2 Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28)) 2006-06-12 23:28:50 PDT
The latest patch of bug 339723 fixes this bug too.
Comment 3 Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28)) 2006-07-17 02:26:58 PDT
probably, this is fixed by the additional patch of bug 339723.
please check it.

-> FIXED
Comment 4 Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28)) 2006-07-17 02:32:13 PDT
Oops, the tree is closed now, I backed-out the patch.
Comment 5 Masayuki Nakano [:masayuki] (Mozilla Japan) (Offline: 9/19, 9/22-9/25, 9/28)) 2006-07-17 07:09:50 PDT
re-checked-in.

-> FIXED
Comment 6 R.K.Aa. 2007-06-22 00:29:45 PDT
Seems it is broken again? Filed bug 385364

Note You need to log in before you can comment on or make changes to this bug.